跳转至

获取业务线下订单

请求

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/orders
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/orders

参数

路径参数

字段类型描述
b_id
必填
String业务线ID

查询参数

字段类型描述
start_time
可选
Integer起始过滤时间戳
end_time
可选
Integer结束过滤时间戳
keyword
可选
String关键字(订单ID、账户ID、钱包名称、钱包ID、订单描述、来源地址和目标地址)
limit
可选
Integer默认为10
offset
可选
Integer默认为0
sort_by_time
可选
String按时间序列排序 (默认为DESC)
applicant
可选
String[]制单人
coin_name
可选
String[]币种名称
允许值:参考支持的代币中的 Coin Name (API) 列
chain_name
可选
String[]Cactus链名称
允许值:参考支持的代币中的网络缩写 列
status
可选
String[]订单状态
wallet_name
可选
String[]钱包名称

响应

响应体

字段类型描述
codeInteger响应代码(0 = 成功)
messageString响应消息
successfulBoolean请求是否成功
dataObject订单数据(详见下方 data 对象详情)

data (对象)

字段类型描述
offsetInteger偏移量
limitInteger限制条数
totalInteger记录总数
listObject[]订单列表(详见下方 list 对象详情)

list (对象)

字段类型描述
domain_idString企业ID
bidString业务线ID
exchange_rateDecimal订单汇率
time_stampLong订单创建时间戳
order_noString订单ID
applicantString订单制单人
business_nameString业务线名称
coin_nameString资产名称
storage_typeString存储类型
允许值: PRIME_HOT, PRIME_COLD, ENTERPRISE_HOT, ENTERPRISE_COLD
wallet_nameString钱包名称
wallet_codeString钱包ID
amountDecimal提币金额
original_amountDecimal原始提币金额
miner_fee_rateDecimal矿工费率
descriptionString订单描述
from_addressString来源地址
gas_priceDecimalGas价格(ETH系列)
gas_limitDecimalGas限制(ETH系列)
max_fee_per_gasDecimal最大费用
max_priority_fee_per_gasDecimal优先费用
statusString订单状态
允许值: PROCESSING, PARTIALLY_FAILED, FAILED, ORDER_SEND_OUT, FINISHED, CANCELED
inner_statusString订单内部状态
order_dest_address_info_vo_listObject[]订单列表(详见下方 order_dest_address_info_vo_list 对象详情)

order_dest_address_info_vo_list (对象)

字段类型描述
dest_addressString收款地址
memo_typeString备注类型
允许值: MEMO_NONE, MEMO_TEXT, MEMO_HASH
memoString备注
origin_balanceDecimal原始提币金额
balanceDecimal实际提币金额
remarkString备注

响应示例

{
    "code": 0,
    "message": "",
    "data": {
        "offset": 0,
        "limit": 10,
        "list": [
            {
                "domain_id": "a5b3f782c4e24c688eca60946442a75f",
                "exchange_rate": 9768.36,
                "time_stamp": 1582008785000,
                "order_no": "666666000000073",
                "applicant": "xxxx@matrixport.com",
                "business_name": "BusinessLine001",
                "coin_name": "BTC",
                "storage_type": "PRIME_HOT",
                "wallet_name": "MIX008",
                "wallet_code": "CHBTC4813422686",
                "amount": 10000,
                "original_amount": 10000,
                "miner_fee_rate": 1024,
                "description": "",
                "from_address": "",
                "gas_price": null,
                "gas_limit": null,
                "order_dest_address_info_vo_list": [
                    {
                        "dest_address": "mioNv7xz1es2waP77gLQYypXesBbkT8BeX",
                        "memo_type": "MEMO_TEXT",
                        "memo": "text",
                        "origin_balance": 10000,
                        "balance": 10000,
                        "remark": ""
                    }
                ],
                "status": "FINISHED",
                "inner_status": "FINISHED",
                "bid": "ed70ff75b1fe4994a3bd836befe0e87f"
            }
        ],
        "total": 1
    },
    "successful": true
}